Building PHP as an Apache SO on Mac OS X 
Author Message
 Building PHP as an Apache SO on Mac OS X

I'm trying (as the title suggests) to build PHP as an Apache SO on Mac
OS X, but can't seem to get past the "configure" stage. I get the
following complaint from configure:

    checking for Apache 1.x module support via DSO through APXS...

    Sorry, I was not able to successfully run APXS.  Possible reasons:

    1.  Perl is not installed;
    2.  Apache was not compiled with DSO support (--enable-module=so);
    3.  'apxs' is not in your path.  Try to use
--with-apxs=/path/to/apxs
    The output of /usr/local/apache/sbin/apxs follows
    Usage: apxs -g [-S <var>=<val>] -n <modname>
           apxs -q [-S <var>=<val>] <query> ...
           apxs -c [-S <var>=<val>] [-o <dsofile>] [-D
<name>[=<value>]]
                   [-I <incdir>] [-L <libdir>] [-l <libname>]
[-Wc,<flags>]
                   [-Wl,<flags>] <files> ...
           apxs -i [-S <var>=<val>] [-a] [-A] [-n <modname>] <dsofile>
...
           apxs -e [-S <var>=<val>] [-a] [-A] [-n <modname>] <dsofile>
...

Running through the list of possible reasons given, I'm pretty sure
they don't apply. (1) Perl is definitely installed... a quick perl -v
confirms the default 5.6 installation for darwin is present. (2) I
double checked that I configured apache with the --enable-module=so
(3) I did include the --with-apxs=/usr/local/apache/sbin/apxs option
when running configure.

The fact that configure is telling me the output of apxs confirms that
it's built and configure is finding it. It almost looks like configure
is feeding apxs a series of arguments that aren't syntactically
correct?



Wed, 22 Jun 2005 02:27:37 GMT  
 
 [ 1 post ] 

 Relevant Pages 

1. Apache + PHP not processing php

2. php is not interpreted (apache 2.0.43, php 4.3.0, linux)

3. PHP server version for Mac OS 9

4. php on Mac OS X

5. Building apps for Mac OS X only

6. Building 1.8 on Mac OS X

7. HOWTO: building ruby 1.6.8 with fink on mac os x

8. ranlib problem building 2.2.1 on Mac OS X

9. competing panic declarations building expect on Mac OS X 10.3.4

10. BUILD Tcl on Mac OS X

11. Mac OS X thread build issue

12. Pre-built mod_python for Mac OS X?

 

 
Powered by phpBB® Forum Software